﻿using System.Collections.Generic;
using FizzWare.NBuilder;

namespace GARSGridPrototype.Lib
{
    public class TestData
    {
        public IEnumerable<Employee> GetAllEmployees()
        {
            return Builder<Employee>.CreateListOfSize(20).WhereAll()
                .WhereRandom(1).Have(e => e.Name = "Emil").And(e => e.Entitlement = "VS2010").And(e => e.EntitlementId = 1).And(e => e.EmployeeId = 10)
                .WhereRandom(1).Have(e => e.Name = "Emil").And(e => e.Entitlement = "GARS").And(e => e.EntitlementId = 2).And(e => e.EmployeeId = 10)
                .WhereRandom(1).Have(e => e.Name = "Emil").And(e => e.Entitlement = "MyAccess").And(e => e.EntitlementId = 3).And(e => e.EmployeeId = 10)
                .WhereRandom(1).Have(e => e.Name = "Emil").And(e => e.Entitlement = "TT").And(e => e.EntitlementId = 4).And(e => e.EmployeeId = 10)
                .WhereRandom(1).Have(e => e.Name = "Emil").And(e => e.Entitlement = "MATT").And(e => e.EntitlementId = 5).And(e => e.EmployeeId = 10)
                .WhereRandom(1).Have(e => e.Name = "Jackie").And(e => e.Entitlement = "VS2010").And(e => e.EntitlementId = 1).And(e => e.EmployeeId = 20)
                .WhereRandom(1).Have(e => e.Name = "Jackie").And(e => e.Entitlement = "GARS").And(e => e.EntitlementId = 2).And(e => e.EmployeeId = 20)
                .WhereRandom(1).Have(e => e.Name = "Jackie").And(e => e.Entitlement = "MyAccess").And(e => e.EntitlementId = 3).And(e => e.EmployeeId = 20)
                .WhereRandom(1).Have(e => e.Name = "Jackie").And(e => e.Entitlement = "TT").And(e => e.EntitlementId = 4).And(e => e.EmployeeId = 20)
                .WhereRandom(1).Have(e => e.Name = "Jackie").And(e => e.Entitlement = "MATT").And(e => e.EntitlementId = 5).And(e => e.EmployeeId = 20)
                .WhereRandom(1).Have(e => e.Name = "Andy").And(e => e.Entitlement = "VS2010").And(e => e.EntitlementId = 1).And(e => e.EmployeeId = 30)
                .WhereRandom(1).Have(e => e.Name = "Andy").And(e => e.Entitlement = "GARS").And(e => e.EntitlementId = 2).And(e => e.EmployeeId = 30)
                .WhereRandom(1).Have(e => e.Name = "Andy").And(e => e.Entitlement = "MyAccess").And(e => e.EntitlementId = 3).And(e => e.EmployeeId = 30)
                .WhereRandom(1).Have(e => e.Name = "Andy").And(e => e.Entitlement = "TT").And(e => e.EntitlementId = 4).And(e => e.EmployeeId = 30)
                .WhereRandom(1).Have(e => e.Name = "Andy").And(e => e.Entitlement = "MATT").And(e => e.EntitlementId = 5).And(e => e.EmployeeId = 30)
                .Build();
        }
    }
}